## pcsxrearmed 0.4

=== Makefile ===
#CROSS_COMPILE=
AS = $(CROSS_COMPILE)as
CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)ld

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -ggdb
LDFLAGS += -lz -lpthread -ldl -lpng
ifeq "$(ARCH)" "arm"
CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
ASFLAGS += -mcpu=cortex-a8 -mfpu=neon
endif
ifndef DEBUG
CFLAGS += -O2 # -DNDEBUG
endif
USE_OSS = 1
#USE_ALSA = 1
#DRC_DBG = 1
#PCNT = 1
TARGET = pcsx

include Makefile.local

ifdef USE_GTK
CFLAGS += -DMAEMO -Imaemo $(shell pkg-config --cflags hildon-1) -Ifrontend
else
CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
endif

all: $(TARGET)

# core
OBJS += libpcsxcore/cdriso.o libpcsxcore/cdrom.o libpcsxcore/cheat.o libpcsxcore/debug.o \
	libpcsxcore/decode_xa.o libpcsxcore/disr3000a.o libpcsxcore/gte.o libpcsxcore/mdec.o \
	libpcsxcore/misc.o libpcsxcore/plugins.o libpcsxcore/ppf.o libpcsxcore/psxbios.o \
	libpcsxcore/psxcommon.o libpcsxcore/psxcounters.o libpcsxcore/psxdma.o libpcsxcore/psxhle.o \
	libpcsxcore/psxhw.o libpcsxcore/psxinterpreter.o libpcsxcore/psxmem.o libpcsxcore/r3000a.o \
	libpcsxcore/sio.o libpcsxcore/socket.o libpcsxcore/spu.o
# dynarec
ifndef NO_NEW_DRC
OBJS += libpcsxcore/new_dynarec/new_dynarec.o libpcsxcore/new_dynarec/linkage_arm.o
OBJS += libpcsxcore/new_dynarec/pcsxmem.o
endif
OBJS += libpcsxcore/new_dynarec/emu_if.o
libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c
ifdef DRC_DBG
libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -DDRC_DBG
endif

# spu
OBJS += plugins/dfsound/adsr.o plugins/dfsound/dma.o plugins/dfsound/reverb.o plugins/dfsound/xa.o \
	plugins/dfsound/freeze.o plugins/dfsound/cfg.o plugins/dfsound/registers.o plugins/dfsound/spu.o
ifeq "$(USE_OSS)" "1"
plugins/dfsound/%.o: CFLAGS += -DUSEOSS
OBJS += plugins/dfsound/oss.o
endif
ifeq "$(USE_ALSA)" "1"
plugins/dfsound/%.o: CFLAGS += -DUSEALSA
OBJS += plugins/dfsound/alsa.o
LDFLAGS += -lasound
endif

# gpu
plugins/dfxvideo/%.o: CFLAGS += -Wall
OBJS += plugins/dfxvideo/gpu.o
ifdef X11
LDFLAGS += -lX11 -lXv
OBJS += plugins/dfxvideo/draw.o
else
OBJS += plugins/dfxvideo/draw_fb.o
endif
# cdrcimg
plugins/cdrcimg/%.o: CFLAGS += -Wall
OBJS += plugins/cdrcimg/cdrcimg.o

# gui
ifeq "$(USE_GTK)" "1"
OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o
OBJS += frontend/plugin.o 
OBJS += maemo/arm_utils.o
maemo/%.o: maemo/%.c
else
OBJS += frontend/main.o frontend/plugin.o frontend/plugin_lib.o
OBJS += frontend/menu.o
OBJS += frontend/linux/fbdev.o frontend/linux/in_evdev.o
OBJS += frontend/linux/plat.o frontend/linux/oshide.o
OBJS += frontend/common/fonts.o frontend/common/input.o frontend/common/readpng.o
ifeq "$(ARCH)" "arm"
OBJS += frontend/arm_utils.o
OBJS += frontend/plat_omap.o
else
OBJS += frontend/plat_dummy.o
endif
endif
ifdef PCNT
CFLAGS += -DPCNT
endif
frontend/%.o: CFLAGS += -Wall -DIN_EVDEV
frontend/menu.o: frontend/revision.h

frontend/revision.h: FORCE
	@(git describe || echo) | sed -e 's/.*/#define REV "\0"/' > $@_
	@diff -q $@_ $@ > /dev/null 2>&1 || cp $@_ $@
	@rm $@_
.PHONY: FORCE


$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map


PLUGINS = plugins/spunull/spunull.so
ifndef USE_GTK
PLUGINS += plugins/gpu_unai/gpuPCSX4ALL.so \
	plugins/gpu-gles/gpuGLES.so
endif

$(PLUGINS):
	make -C $(dir $@)

clean:
	$(RM) $(TARGET) $(OBJS) $(TARGET).map

clean_plugins:
	for dir in $(PLUGINS) ; do \
		$(MAKE) -C $$(dirname $$dir) clean; done

# ----------- release -----------

PND_MAKE ?= $(HOME)/dev/pnd/src/pandora-libraries/testdata/scripts/pnd_make.sh

VER ?= $(shell git describe --abbrev=0 master)

rel: pcsx $(PLUGINS)
	cp plugins/spunull/spunull.so spunull.so

=== plugins/gpu-gles/Makefile ===
##############################################################################
# MAKEFILE FOR PETE'S MESAGL GPU... just run "make"
##############################################################################

#PREFIX	= /mythtv/media/devel/toolchains/pandora/arm-2007q3/
CROSS_COMPILE ?= arm-none-linux-gnueabi-

#CC = $(PREFIX)/bin/$(CROSS_COMPILE)gcc
CC = $(CROSS_COMPILE)gcc

CFLAGS += -fPIC -ggdb # -Wall
ifndef DEBUG
CFLAGS += -O3 -ffast-math -fomit-frame-pointer
endif
CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8
# note: the below causes strange bugs/crashes
#CFLAGS += -mfloat-abi=softfp
CFLAGS += -DMAEMO_CHANGES # -DUSE_X11
CFLAGS += -I$(PREFIX)include

TARGET = gpuGLES.so
LDFLAGS += -shared -Wl,-soname,$(TARGET) -o $(TARGET)
LIB = -L$(PREFIX)lib -lGLES_CM -lX11 -lXau -lXdmcp

OBJ = gpuDraw.o gpuFps.o gpuPlugin.o gpuPrim.o gpuTexture.o

-include Makefile.local

all: $(TARGET)

$(TARGET): $(OBJ)
	$(CC) $(LDFLAGS) $(OBJ) $(LIB)

clean:
	$(RM) $(TARGET) $(OBJ)

=== plugins/spunull/Makefile ===
CC = $(CROSS_COMPILE)gcc

all: spunull.so

-include Makefile.local

spunull.so: spunull.c
	$(CC) $(CFLAGS) -shared -fPIC -ggdb -O2 -o $@ $^

clean:
	$(RM) spunull.so

=== debian/changelog ===
pcsxrearmed (0.4) unstable; urgency=low

	* Initial port to Maemo using GTK


 -- Bonapart <bonapart@programist.ru>  Sun,  22 Jan 2011 02:00:27 +0200

=== debian/control ===
Source: pcsxrearmed
Section: user/games
Priority: extra
Maintainer: Bonapart <bonapart@programist.ru>
Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev, libasound2-dev
Standards-Version: 3.7.3

Package: pcsxrearmed
Architecture: armel
Depends: ${shlibs:Depends}
Description: Sony PlayStation emulator
XSBC-Homepage: http://notaz.gp2x.de/pcsx_rearmed.php
XSBC-Bugtracker: http://notaz.gp2x.de/pcsx_rearmed.php
XB-Maemo-Display-Name: PCSX-ReArmed
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAEStJREFUaN7Fmn+wXVV1xz9r733uufe+e9+DJIRESEICEQghAUQBI8Uo
 ik7jrxm1o+3ooB2RkWrtONqZlhn7Y8bRUVudqVZsoTjFH2CrSKsVEFIQIr8C
 JARC0CDkBwkkIcl7L7n3nLP36h97n3Pvo07/7c2cOfeenB9rr/Vd3/Vd6zxh
 7DM52b9isj+5YcGC+a9bunTpOVNTU91WK5Msy1ECIgYRMGKxzmGtQQBrHSZ9
 R8C5DOcc1hiMtTjrsM4hAtZYWq1W/H9nyZzDZVk6x9LKWmSteH2rlZNlLhw/
 fnzXszt3fmHjxo13bH74oReBwbbtO6r0ODht5UpnfXXdytOXX+mswVcl1hqc
 swjgQ0BV8T7gfSCEQFBQFFQJqqhquptpHCJiMGIQKxhjsdZircMai8kczibj
 XUaWZdi0d1lGlrVwmdN2nsvypUtZvmwpw7LY8dSTT37yX264/sGgOrNl67ZS
 AFavPudTF5y76u9fOniQZ3/7PLPHjuG9Z8wSJO7QeAABVIW0DFAFBEVANF0j
 AGh9XBWV9L3eRFAx6dr6XFDiMWMNy049VS9Yu4o/et+7xBj78u5duz78lS9/
 8U6UoZx59lnZ2StXbMP7lT+7cyNFUWCsbQwmyLhTo1EiydvpSFogIpiIMQST
 zhOMMSAmnmcMIhYxgogFYxBjEYnnYOIWn2OjA4IiRjhj+TL98uc/K5X3W7Zs
 2fKBf/72Pz5tZmdmz5jodJZtfeppyqqK+LQx3EYtpm0wRChYazBWMCYaasRg
 TFwAUu/TsgyIiecytkAxBjG1sTZuzfe4GIwDk4GxqMmQLAdx7PjNs/KNG75H
 3srWLFmy5E3P79rj7Omnr7is08o+8Otnn6MYFtGIErQCyZXsqxW6B3S3gQqw
 /I6PNgEZwSPmQAMVYxERVCSSQTI8et4iYtF6MckhcXECJuWSGPbvf1EvumCN
 nDA1taIoypuNr6pFg6JgMEjGe2Ch0vpmSXdnQeuqQPeeivZtBbI6oIWiKJqS
 WLU2vM6POh2SIZjEXpIMtglGdSTib9IxEsSoFy9mBFtjmTleyJ33bMIYOevQ
 oUMnuLIs5w+LkuCr+HAP+dcqWu8PFD8SZAEwA9kGxawuOXZeBjMGXJ0BNMk4
 gpIZYbr2ZvJ6hJBrftcLEGPTfVJ+EBcfUo6pgohQhMCBgwdB4fDhw5MG6JdV
 RQgKQZAO2IuVMIDB+xzhcWF4lWP4FUPYZJATf1dCp0ROxps69LXR1mGsTZtD
 TNrbWE/i9/jbmFEiRx6oCSCRRHJZURTMzMx0nUK7LD2KIgZ0CPoM2KWQf8tj
 TlPkZGX4GRdNdiTvzzW+Nrg2voaIqb1uHUYsYm2KRNxURnBSTfdB4k5r6q0x
 qogIIShFWVKWZWa8962y8g0eRGH4GYd/Usg/GsjerHQ2VnRuK7GvC6iXhjpH
 xo+MyPOcdruNsTZyughiXFxI42mHuAyswzgLNrGRNWANYg1gUCOoMQ2DYUZ5
 JgKqahxI5n0Y4cJBeMxw7LwM+6ZA62880o454C4rmb1U4AkLrXHjY6UNqpx6
 ymKm+n2qEBgUFUemZzk8PYsPinMxIsa6xDAR71rXjFj/CJo8WdNDXeQTY4iA
 tZHVnKo61VBfCW3FXqzoUCl/bnB/ECj+0uGurGj/bcBdESifcBGLKQIN5oFu
 p8OCBfPpdDp0u13yvI1X5fnd+9jx210cOjJDnmUY4yLOE9xACEmamHoRQZtF
 aar0oBgxOJfFBYgxTjXxeGVgnqdzd4nuh9mLshizFkieHDKcyzam5nNjICjt
 djS81+sxMTHB5OQkvV6P89euoZXn3Pfgo9y16RGKMiDWRu8bQVTQEEAiPQsh
 KoAwqjApDBgjZM5F54mIa5IwA31OKL5kMYthYkeJe2ege39Bfm3Ab4fqJy7i
 PVjEW/AGCel3sHTb0fh+v8/k5CQ+KEemZ+h0u8yfN48PvvddXPvpq5ma6qMK
 1goGk2qdIKYmZlMrLiBE+ISAAkaELMswxohx1mZSaxgBnFD8hePYBx3V92PW
 hEeFwecyjr+lA7stsgDMUkWWhLidGpBXBWRxQPvKZH+yWcA9v9rMN2+8mWd2
 Pk+/36fX6/G615zHtZ++GucsqpIkR6obgJFXVPfa+QliYgwuy7DW4sQYGdFg
 UsMC1fct1Q8c+ZdKqq9lhBds1D3WYt8zwP3JMNFc/RTBiPLcXdtZ9/LFdHtd
 +v0+/ck+Yi0vHXyZXq9Ht9ul3W5z2bqLeNsb13HrHffQytvUVdSIRPyPVfna
 +HpJxiSpL4LTEDAxHFFC12IssUz51y2oBNOSVPqF8MMu1X90QWykR7EY46iq
 ite89VImzp6Ixvf7tLIW1rbodDtMTEzQ6XTI85w8z7nowvP54U/vJs9Hyanq
 myKpKKIpAppEsWqCXhRlTlUxSbvXJTtSlYyS1tTcnKrt0CKFbSqqcZHnfeVY
 0DupMb7X65HlOVhD3mo33s/znCzLWLl8Ka08IxBtUA1NUBVFJeoukdg0ee+Z
 mZllMBwgCM45cSGEEPHX0OzcRqaWv4y+R/GVqmqSCJJ6iM5Ep2GeXq9H1soR
 sWSt1hzjsyxj3oknMJG3KGqmqTsmiaCvo1BWnmJYUJRDKu9HjZIqzhijseSb
 RlXW+zoqkSJMoyZreWDHKms8Bt1urzG+1+vhsgwjllaWkef5qB+2lsoHfEj8
 PoZ3QQjeU5QFRVFSlRUh+Oa8qIK1gVAwxozEWLpN3Tr6oIhRjIJY0yhHsbEB
 qQWaMRapPN1uh36/z8TEBN1ul8xliAHrsjnGG2PY88I+Zo4dZ6I3EVnHB4qy
 ZDgYUpYVGkJqbUO0SAEJqAYq72MEAG+SFtc6DwREU6+bIhCA4AMWgzhpEnek
 c2KE6iJWV+I4jbA4Z2vubqK96aHHokQuo5eHRYEGT0hDBG0wLU0VltRi+qqK
 CxARX+uKV+J/1HhHcRXVo+C9EvB4FWwAYwLz5p+IwZC1crrdLp1Oh3a7jRhD
 5QODwSAZBoPhkLvv/RXfuP4mPIbS+5iA49t4m9QcjwUt+EBRFrV0I4y8ImOV
 Q5qOKiZzrUINKlBVnrzlWLFsCWefdQbr113CLx94BCNCp9Oh0+nQarWoqujZ
 m370U3bs3MWik+Zx5OhRfnHPJnrdLsOyZPr4MarKY63BGtMYKnXhIsKmXogP
 nqIogajuGwjVTKQyd+yROnQCUJYVJ05NsWb1Kt74hks4c+XpnPKqxfT7fZ58
 5lmyVqsxPsuilsqtsPrMM7jktWs5/bRl9HtdrvnYh7HWMhgMefHAQR7c/Dg/
 u3Mjj27djnEWI6aJQNJ0zcd7T1EMI4RUtaqTamxWMoJOUoo+KKcsWsglF13I
 773hEk6av4B+vzcnYV8+fKQpUs45nHMcPTrNT757Heede04zwfhfcAXeuv5S
 Pvepj3PHXffw2c9/kWd378Vg0DAXRqrgK89gMCSEMJbEafxBrVoZNS55nnP5
 G9dx+frLmgJVU+TR6Vnu+O/7+Pdb/4vHt2zjfe/ZEKdsaTRTVSWLTl6Ic5ay
 qjg2e4ytTz3NDf96C4889jjHBkP+/E+v5sMfeC/tPOcdb38LU/0+7//jT3J0
 enpsXDDKCx88xTAtQKFsIKRjA6t6WqZw9qvP4PL1lzE5OcnExATtdocHHn6M
 +x/azP0PPkorb7P23HO4MG8nre6oqdmK4cCBg+zavYc77v4lP7/rHrZse4oz
 Vqxg7bnn8o4r1vPmy9Y1zATw4oGDBO/RkPJRx1pKjRAaDCMpOIGqSWIZTdqU
 URIfPjpNnrdHnncZe/e/xAknnMDVH/0Q6y+9hFVnvZp/+s73CaqM15V+v8s1
 n72W5/fsY3Z2lt9/y3o+9fErOX/NOSxfthTnRoOmF/bt58bv3sz1N93CzOzs
 qJGRxEAoSCB4z3A4yoFiVAdovB6naQYV4bnd+/jCV7/BuzdcwaVvuJjTly/i
 z675GO12m06n00gDl2WNWhyfXBw9Ms2nr7qSd2+4gkUnL6Tdzkd5oPCrBx/m
 m9d/h433PcjR6RmGRTXWTupcFKnifcWwzgERKWMEatYZCdjxAe2uF/bxtW/d
 yNe/fSNrV69i1dmvZvHCRbSyDLGW/fv38/O77uX1//CVOcl5+MhRbv/xTSw6
 eWGjX7z3TE9P88Nbf8oNN93MY1ufjHoqiUljYncW6sSlrgFRRnhfMSzqHFAt
 jJFGsMXRRuR+bSZjMULORSmxdfuveXzbMzFlxiYS5XDI3n37eenAQebPOzFC
 CeLMCXjpwEGe3P4Mt/zoNv7z9l/w/J59KYKt6NwxxlFlrIAx+h0ghEAxLOIC
 gmpRj/5C7XV5xfiiRkRiVWcdtOq5T2z9xBjaeYu/+uLf8YN/u5ULzlvNhisu
 ZzAcsOnBh9m9dy+3/+JeNm95giNHZ8haGZNT/cjxGtvGKB9CQkpACQRCwkBI
 8jouoCxLvPfqNIRBnQOicY6TXBvlrMaGew60dCT8JIUcBWMNBw4d5t5ND3Pf
 A4/wvVt+wuzsMbZt/zXT09MMyxJjLZ1Op1GUUmuexsPjsoH4m7lsFEKgrLXQ
 KInndIdzJs9xRhPHHLFKayrtBiQZks4REWxm0QAHXz4MCoNiCBiyzKVnNJiI
 9wmRYXTMeG2eERKca4qJLBRqNaqqRZ7nWOua1q2REPWKAs1UTALxfVkawMYb
 +9F8RxQNZvz9B6iMTbLjTUMIc7yu9Z4wFoUR89T72ODXL0oEZ4yUcQFWVcbZ
 TZtmRhtRFXm4rtIRXqnZVghGRzYzPmtPhKraDK8aVtG52J/LOjp6hUVI3lVE
 RK2NswsHlK34llCa7BeNuKd2uU0tTkA1hiJG1qNqmh6C1F01EJyzklFyJspJ
 JBNSDigStDlWGz96AZGco4qNr31qOS1F1spod9ujKXP9Uq5OgWa0B0ZHN2s8
 Qz3XTBBibpvYxLSBgI4aljpx0Yb3m1eHiaHGtZ8I5O0cUMqy9KaqyuPe+4OL
 Fy4kc07rmzH2kDjqCOnBPr4F0YCGufuAJwSPBo+G6hVbOlc9IV2j9bWEdN8k
 F9SPYEZgjH5oOdHFCxcwHBb7q6oqzNGj00cOHjz05No1q1lw4qSoD801UlfC
 Bn5a3yfOMTUWn7gF8CkR/4+NEFknfq/vXz9z9LwRtBI0gxK8Z+H8E2XtmtXs
 3bv38enp6VlzbHb25W3bnnhANQzeseFtKBWVL0bYk9jU61jySTP1Do2XGsrT
 MOa5sU1HXZXq+LFRtyK11yXMmciB4qsCoeRd73w7RVEc37x586YjR44ctsba
 7NChQ3m73T7ltRe+Zumac1ax9Yltenx6RsSmF26M6aRxlkpo1zQASEgevQTU
 MRgSKTJomHMMJb7pb/7RRDbWBk91/DiTUxN6zVUfkWVLlnDvvffed//99/8Y
 +I0VkWCtMc/s2DHw3i9at+71C996+Xrp9Sd01/O7ZHD8GASP+gpClfbxt097
 rY/7ilAlvPt4bHwLVUmo4n1COten65rzqmL0PXgmum3eueEK/ciH/lBOmJrU
 2267bevtt9/+XeBRYJ8Att3OT6oqf6b3/pJ58+a96ROf+MRFZ5115sTk5JTp
 93vSzttYF//OwaU/2siyLPatiSqNiXI8TjhoeoIRe0gjr4MGqjI6oKoqyqKk
 KAqGxRBf+TQIGFKWJbMzszozOxt27tw5e9111z1w4MCBO4H7gKeBlwWg3c5b
 3of5VVWtUNVzgfMvvvji80477bQFS5Ys6VprTd301IaNG2iMaWBR9wKNwa/Y
 69j8sqoqQhpeeR8Nr+V22sKePXuO7969+6WHHnroseT1x4GdwCGgbFzU7XSy
 wXDYDyGcDKwAlgOLgUmgzf/PZwgcAV4Ank2G7wemgRLgfwDIFWZCNtkwCgAA
 AABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

#GAME_VERSION := $(shell head debian/changelog -n1 | sed -n 's/.* (\(.*\)) .*/\1/p')
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) rel
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	$(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pcsxrearmed 0.4.0.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 include Makefile.local
 
 ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo $(shell pkg-config --cflags hildon-1) -Ifrontend
+CFLAGS += -DMAEMO -Imaemo  $(shell pkg-config --cflags hildon-1) -Ifrontend
+#-Imaemo-x11
 else
 CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
 endif
@@ -77,7 +78,8 @@
 
 # gui
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o
+OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o 
+#maemo-x11/minimal.o
 OBJS += frontend/plugin.o 
 OBJS += maemo/arm_utils.o
 maemo/%.o: maemo/%.c
@@ -135,3 +137,4 @@
 
 rel: pcsx $(PLUGINS)
 	cp plugins/spunull/spunull.so spunull.so
+	strip pcsx

=== debian/changelog ===
pcsxrearmed (0.4.0.1) unstable; urgency=low

	* bios support
	* nullsound support


 -- Bonapart <bonapart@programist.ru>  Sun,  24 Jan 2011 02:00:27 +0200

## pcsxrearmed 0.4.0.2

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 include Makefile.local
 
 ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo  $(shell pkg-config --cflags hildon-1) -Ifrontend
-#-Imaemo-x11
+CFLAGS += -DMAEMO -Imaemo -Imaemo-x11  $(shell pkg-config --cflags hildon-1) -Ifrontend
+
 else
 CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
 endif
@@ -78,8 +78,7 @@
 
 # gui
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o 
-#maemo-x11/minimal.o
+OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o maemo-x11/minimal.o
 OBJS += frontend/plugin.o 
 OBJS += maemo/arm_utils.o
 maemo/%.o: maemo/%.c

=== debian/changelog ===
pcsxrearmed (0.4.0.2) unstable; urgency=low

	* new options


 -- Bonapart <bonapart@programist.ru>  Sun,  24 Jan 2011 02:00:27 +0200

## pcsxrearmed 0.4.0.3

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,13 @@
 ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
 CFLAGS += -ggdb
-LDFLAGS += -lz -lpthread -ldl -lpng
+LDFLAGS += -lz -lpthread -ldl -lpng -lbz2
 ifeq "$(ARCH)" "arm"
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
 ASFLAGS += -mcpu=cortex-a8 -mfpu=neon
 endif
 ifndef DEBUG
-CFLAGS += -O2 # -DNDEBUG
+CFLAGS += -O2 -DNDEBUG
 endif
 USE_OSS = 1
 #USE_ALSA = 1
@@ -20,15 +20,12 @@
 #PCNT = 1
 TARGET = pcsx
 
-include Makefile.local
-
+-include Makefile.local
 ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo -Imaemo-x11  $(shell pkg-config --cflags hildon-1) -Ifrontend
-
+CFLAGS += -DMAEMO -Imaemo $(shell pkg-config --cflags hildon-1) -Ifrontend
 else
 CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
 endif
-
 all: $(TARGET)
 
 # core
@@ -51,8 +48,8 @@
 endif
 
 # spu
-OBJS += plugins/dfsound/adsr.o plugins/dfsound/dma.o plugins/dfsound/reverb.o plugins/dfsound/xa.o \
-	plugins/dfsound/freeze.o plugins/dfsound/cfg.o plugins/dfsound/registers.o plugins/dfsound/spu.o
+OBJS +=plugins/dfsound/dma.o plugins/dfsound/freeze.o \
+	plugins/dfsound/registers.o plugins/dfsound/spu.o
 ifeq "$(USE_OSS)" "1"
 plugins/dfsound/%.o: CFLAGS += -DUSEOSS
 OBJS += plugins/dfsound/oss.o
@@ -78,7 +75,7 @@
 
 # gui
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o maemo-x11/minimal.o
+OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o
 OBJS += frontend/plugin.o 
 OBJS += maemo/arm_utils.o
 maemo/%.o: maemo/%.c
@@ -94,9 +91,13 @@
 else
 OBJS += frontend/plat_dummy.o
 endif
+ifdef X11
+frontend/%.o: CFLAGS += -DX11
+OBJS += frontend/xkb.o
 endif
 ifdef PCNT
 CFLAGS += -DPCNT
+endif
 endif
 frontend/%.o: CFLAGS += -Wall -DIN_EVDEV
 frontend/menu.o: frontend/revision.h
@@ -111,16 +112,11 @@
 $(TARGET): $(OBJS)
 	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map
 
-
-PLUGINS = plugins/spunull/spunull.so
-ifndef USE_GTK
-PLUGINS += plugins/gpu_unai/gpuPCSX4ALL.so \
-	plugins/gpu-gles/gpuGLES.so
-endif
+PLUGINS = plugins/spunull/spunull.so plugins/gpu_unai/gpuPCSX4ALL.so \
 
 $(PLUGINS):
 	make -C $(dir $@)
-
+	
 clean:
 	$(RM) $(TARGET) $(OBJS) $(TARGET).map
 
@@ -134,6 +130,17 @@
 
 VER ?= $(shell git describe --abbrev=0 master)
 
-rel: pcsx $(PLUGINS)
-	cp plugins/spunull/spunull.so spunull.so
-	strip pcsx
+rel: pcsx $(PLUGINS) \
+		pandora/pcsx.sh pandora/pcsx.pxml pandora/pcsx.png \
+		pandora/picorestore pandora/readme.txt skin COPYING
+	rm -rf out
+	mkdir -p out/plugins
+	cp -r $^ out/
+	mv out/*.so out/plugins/
+	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x pandora/pcsx.pxml -i pandora/pcsx.png -c
+
+maemo: pcsx plugins/spunull/spunull.so
+	rm -rf out
+	mkdir -p out/plugins
+	cp -r plugins/spunull/spunull.so .
+	strip pcsx spunull.so

=== plugins/gpu_unai/Makefile ===
CC = $(CROSS_COMPILE)gcc

CFLAGS += -ggdb -fPIC -Wall -DREARMED
ifndef DEBUG
CFLAGS += -O2 -ffast-math -fomit-frame-pointer
endif
CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
# -fschedule-insns (from -O2+) causes bugs, probably bad asm() statements
CFLAGS += -fno-schedule-insns -fno-schedule-insns2

TARGET = gpuPCSX4ALL.so
LDFLAGS += -shared -Wl,-soname,$(TARGET)

-include Makefile.local

all: $(TARGET)

$(TARGET): gpu.cpp ../../frontend/arm_utils.s
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

# $(TARGET): *.h

clean:
	$(RM) $(TARGET) $(OBJ)

=== debian/changelog ===
pcsxrearmed (0.4.0.3) unstable; urgency=low

	* added support for .bz format, also partial support for .znx and eboot.pbp formats
	* merged latest cdrom code from PCSX-Reloaded project
	* fixed channel disable preventing irqs in P.E.Op.S. SPU plugin
	* fixed some alignment issues
	* added handling for branches in delay slots
	* fixed lots of recompiler related issues (see GIT)
	* added watchdog thread to detect emulator lockups
	+ fullscreen support
	+ accelometer support
	+ partial movies support
	+ fixed frameskip setting

 -- Bonapart <bonapart@programist.ru>  Sun,  2 Feb 2011 00:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev, libasound2-dev
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev, libasound2-dev, libbz2-dev 
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) rel
+	$(MAKE) maemo
 	touch build-stamp
 
 clean:

## pcsxrearmed 0.4.0.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
-CFLAGS += -ggdb
+CFLAGS += -ggdb -Ifrontend
 LDFLAGS += -lz -lpthread -ldl -lpng -lbz2
 ifeq "$(ARCH)" "arm"
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
@@ -14,18 +14,16 @@
 ifndef DEBUG
 CFLAGS += -O2 -DNDEBUG
 endif
-USE_OSS = 1
+CFLAGS += $(EXTRA_CFLAGS)
+
+USE_OSS ?= 1
 #USE_ALSA = 1
 #DRC_DBG = 1
 #PCNT = 1
 TARGET = pcsx
 
 -include Makefile.local
-ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo $(shell pkg-config --cflags hildon-1) -Ifrontend
-else
-CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
-endif
+
 all: $(TARGET)
 
 # core
@@ -48,7 +46,7 @@
 endif
 
 # spu
-OBJS +=plugins/dfsound/dma.o plugins/dfsound/freeze.o \
+OBJS += plugins/dfsound/dma.o plugins/dfsound/freeze.o \
 	plugins/dfsound/registers.o plugins/dfsound/spu.o
 ifeq "$(USE_OSS)" "1"
 plugins/dfsound/%.o: CFLAGS += -DUSEOSS
@@ -69,27 +67,31 @@
 else
 OBJS += plugins/dfxvideo/draw_fb.o
 endif
+
 # cdrcimg
 plugins/cdrcimg/%.o: CFLAGS += -Wall
 OBJS += plugins/cdrcimg/cdrcimg.o
 
 # gui
+OBJS += frontend/main.o frontend/plugin.o 
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o
-OBJS += frontend/plugin.o 
-OBJS += maemo/arm_utils.o
+OBJS += maemo/hildon.o maemo/main.o
 maemo/%.o: maemo/%.c
+maemo/%.o: CFLAGS += -Wall
 else
-OBJS += frontend/main.o frontend/plugin.o frontend/plugin_lib.o
-OBJS += frontend/menu.o
+OBJS += frontend/plugin_lib.o frontend/menu.o
 OBJS += frontend/linux/fbdev.o frontend/linux/in_evdev.o
 OBJS += frontend/linux/plat.o frontend/linux/oshide.o
 OBJS += frontend/common/fonts.o frontend/common/input.o frontend/common/readpng.o
 ifeq "$(ARCH)" "arm"
-OBJS += frontend/arm_utils.o
 OBJS += frontend/plat_omap.o
+OBJS += frontend/pandora.o
 else
 OBJS += frontend/plat_dummy.o
+endif
+endif # !USE_GTK
+ifeq "$(ARCH)" "arm"
+OBJS += frontend/arm_utils.o
 endif
 ifdef X11
 frontend/%.o: CFLAGS += -DX11
@@ -97,7 +99,6 @@
 endif
 ifdef PCNT
 CFLAGS += -DPCNT
-endif
 endif
 frontend/%.o: CFLAGS += -Wall -DIN_EVDEV
 frontend/menu.o: frontend/revision.h
@@ -113,10 +114,11 @@
 	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map
 
 PLUGINS = plugins/spunull/spunull.so plugins/gpu_unai/gpuPCSX4ALL.so \
+	plugins/gpu-gles/gpuGLES.so
 
 $(PLUGINS):
 	make -C $(dir $@)
-	
+
 clean:
 	$(RM) $(TARGET) $(OBJS) $(TARGET).map
 
@@ -138,9 +140,3 @@
 	cp -r $^ out/
 	mv out/*.so out/plugins/
 	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x pandora/pcsx.pxml -i pandora/pcsx.png -c
-
-maemo: pcsx plugins/spunull/spunull.so
-	rm -rf out
-	mkdir -p out/plugins
-	cp -r plugins/spunull/spunull.so .
-	strip pcsx spunull.so

=== debian/changelog ===
pcsxrearmed (0.4.0.5) unstable; urgency=low

	* r6 for pandora
	* sometimes working gles-gpu

 -- Bonapart <bonapart@programist.ru>  Sun,  11 Feb 2011 00:00:27 +0200

## pcsxrearmed 0.4.0.6

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,17 @@
 	libpcsxcore/psxcommon.o libpcsxcore/psxcounters.o libpcsxcore/psxdma.o libpcsxcore/psxhle.o \
 	libpcsxcore/psxhw.o libpcsxcore/psxinterpreter.o libpcsxcore/psxmem.o libpcsxcore/r3000a.o \
 	libpcsxcore/sio.o libpcsxcore/socket.o libpcsxcore/spu.o
+ifeq "$(ARCH)" "arm"
+OBJS += libpcsxcore/gte_neon.o
+endif
 # dynarec
 ifndef NO_NEW_DRC
 OBJS += libpcsxcore/new_dynarec/new_dynarec.o libpcsxcore/new_dynarec/linkage_arm.o
 OBJS += libpcsxcore/new_dynarec/pcsxmem.o
 endif
 OBJS += libpcsxcore/new_dynarec/emu_if.o
-libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c
+libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c \
+	libpcsxcore/new_dynarec/pcsxmem_inline.c
 ifdef DRC_DBG
 libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
 CFLAGS += -DDRC_DBG
@@ -48,6 +52,9 @@
 # spu
 OBJS += plugins/dfsound/dma.o plugins/dfsound/freeze.o \
 	plugins/dfsound/registers.o plugins/dfsound/spu.o
+plugins/dfsound/spu.o: plugins/dfsound/adsr.c plugins/dfsound/reverb.c \
+	plugins/dfsound/xa.c
+plugins/dfsound/%.o: CFLAGS += -Wall
 ifeq "$(USE_OSS)" "1"
 plugins/dfsound/%.o: CFLAGS += -DUSEOSS
 OBJS += plugins/dfsound/oss.o
@@ -59,8 +66,11 @@
 endif
 
 # gpu
-plugins/dfxvideo/%.o: CFLAGS += -Wall
+# note: code is not safe for strict-aliasing? (Castlevania problems)
+plugins/dfxvideo/%.o: CFLAGS += -Wall -fno-strict-aliasing
 OBJS += plugins/dfxvideo/gpu.o
+plugins/dfxvideo/gpu.o: plugins/dfxvideo/fps.c plugins/dfxvideo/prim.c \
+	plugins/dfxvideo/gpu.c plugins/dfxvideo/soft.c
 ifdef X11
 LDFLAGS += -lX11 -lXv
 OBJS += plugins/dfxvideo/draw.o
@@ -71,6 +81,10 @@
 # cdrcimg
 plugins/cdrcimg/%.o: CFLAGS += -Wall
 OBJS += plugins/cdrcimg/cdrcimg.o
+
+# dfinput
+plugins/dfinput/%.o: CFLAGS += -Wall
+OBJS += plugins/dfinput/pad.o
 
 # gui
 OBJS += frontend/main.o frontend/plugin.o 
@@ -130,11 +144,11 @@
 
 PND_MAKE ?= $(HOME)/dev/pnd/src/pandora-libraries/testdata/scripts/pnd_make.sh
 
-VER ?= $(shell git describe --abbrev=0 master)
+VER ?= $(shell git describe master)
 
 rel: pcsx $(PLUGINS) \
 		pandora/pcsx.sh pandora/pcsx.pxml pandora/pcsx.png \
-		pandora/picorestore pandora/readme.txt skin COPYING
+		pandora/picorestore pandora/readme.txt pandora/skin COPYING
 	rm -rf out
 	mkdir -p out/plugins
 	cp -r $^ out/

=== debian/changelog ===
pcsxrearmed (0.4.0.6) unstable; urgency=low

	* r7 for pandora
	* some fixes

 -- Bonapart <bonapart@programist.ru>  Sun,  11 Feb 2011 00:00:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) maemo
+	$(MAKE) -f Makefile.maemo maemo
 	touch build-stamp
 
 clean:
@@ -28,7 +28,7 @@
 	dh_testroot
 	rm -f build-stamp
 	dh_clean
-	$(MAKE) clean
+	$(MAKE) -f Makefile.maemo clean
 
 install: build
 	dh_testdir
@@ -43,7 +43,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-	dh_installmenu
+#	dh_installmenu
 	dh_link
 	dh_strip
 	dh_compress

## pcsxrearmed 0.4.0.8

=== Makefile ===
--- 
+++ 
@@ -87,7 +87,7 @@
 OBJS += plugins/dfinput/pad.o
 
 # gui
-OBJS += frontend/main.o frontend/plugin.o 
+OBJS += frontend/main.o frontend/plugin.o frontend/common/readpng.o
 ifeq "$(USE_GTK)" "1"
 OBJS += maemo/hildon.o maemo/main.o
 maemo/%.o: maemo/%.c
@@ -96,7 +96,7 @@
 OBJS += frontend/plugin_lib.o frontend/menu.o
 OBJS += frontend/linux/fbdev.o frontend/linux/in_evdev.o
 OBJS += frontend/linux/plat.o frontend/linux/oshide.o
-OBJS += frontend/common/fonts.o frontend/common/input.o frontend/common/readpng.o
+OBJS += frontend/common/fonts.o frontend/common/input.o
 ifeq "$(ARCH)" "arm"
 OBJS += frontend/plat_omap.o
 OBJS += frontend/pandora.o
@@ -147,10 +147,12 @@
 VER ?= $(shell git describe master)
 
 rel: pcsx $(PLUGINS) \
-		pandora/pcsx.sh pandora/pcsx.pxml pandora/pcsx.png \
+		pandora/pcsx.sh pandora/pcsx.pxml.templ pandora/pcsx.png \
 		pandora/picorestore pandora/readme.txt pandora/skin COPYING
 	rm -rf out
 	mkdir -p out/plugins
 	cp -r $^ out/
+	sed -e 's/%PR%/$(VER)/g' out/pcsx.pxml.templ > out/pcsx.pxml
+	rm out/pcsx.pxml.templ
 	mv out/*.so out/plugins/
-	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x pandora/pcsx.pxml -i pandora/pcsx.png -c
+	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x out/pcsx.pxml -i pandora/pcsx.png -c

=== plugins/gpu-gles/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ##############################################################################
 
 #PREFIX	= /mythtv/media/devel/toolchains/pandora/arm-2007q3/
-CROSS_COMPILE ?= arm-none-linux-gnueabi-
+#CROSS_COMPILE ?= arm-none-linux-gnueabi-
 
 #CC = $(PREFIX)/bin/$(CROSS_COMPILE)gcc
 CC = $(CROSS_COMPILE)gcc
@@ -15,8 +15,8 @@
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8
 # note: the below causes strange bugs/crashes
 #CFLAGS += -mfloat-abi=softfp
-CFLAGS += -DMAEMO_CHANGES # -DUSE_X11
-CFLAGS += -I$(PREFIX)include
+CFLAGS += -DMAEMO_CHANGES -DUSE_X11
+CFLAGS += -I.
 
 TARGET = gpuGLES.so
 LDFLAGS += -shared -Wl,-soname,$(TARGET) -o $(TARGET)

=== plugins/gpu_unai/Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 CFLAGS += -ggdb -fPIC -Wall -DREARMED
 ifndef DEBUG
 CFLAGS += -O2 -ffast-math -fomit-frame-pointer
+endif
+ifdef MAEMO
+CFLAGS += -DMAEMO
 endif
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
 # -fschedule-insns (from -O2+) causes bugs, probably bad asm() statements

=== debian/changelog ===
pcsxrearmed (0.4.0.8) unstable; urgency=low

  * Savestates bugs fixed
  * Screenshot on save
  * Load states on startup
  * Slot up\down keys

r8 for pandora
  * improved recompiler performance for some games
  * fixed a few recompiler related compatibility issues
    (also fixes broken memcard support in some games)
  * fixed some graphics problems caused by frameskip.
  + added screenshot function
  * merged a few compatibility fixes from PCSX-Reloaded
r7 for pandora
  + implemented most used GTE operations in NEON
  * merged latest Ari64's recompiler patches
  * removed some code from the recompiler that is unneeded for R3k
  * added some special handlers for constant reads
  * some moderate builtin GPU and SPU optimizations
  + added redump.org SBI support
  * tuned frameskip code again
  * fixed a crash in builtin gpu code
  * fixed cdrom slowdown issue
  * fixed Notaz stupid bug in the recompiler that slowed down recompilation a lot
  * some other refactoring

 -- Bonapart <bonapart@programist.ru>  Sun,  8 May 2011 00:00:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-#	dh_installmenu
+	dh_installmenu
 	dh_link
 	dh_strip
 	dh_compress

## pcsxrearmed 0.4.0.8.1

=== debian/changelog ===
pcsxrearmed (0.4.0.8.1) unstable; urgency=low

  * some fixes

 -- Bonapart <bonapart@programist.ru>  Sun,  8 May 2011 00:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev, libasound2-dev, libbz2-dev 
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev, libasound2-dev,libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libbz2-dev 
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
+	mkdir -p "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
+	chmod 777 "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
+	chown user "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
 	dh_install
 
 binary-indep: build install

## pcsxrearmed 0.4.0.8.2

=== debian/changelog ===
pcsxrearmed (0.4.0.8.2) unstable; urgency=low

  * some fixes

 -- Bonapart <bonapart@programist.ru>  Sun,  12 May 2011 00:00:27 +0200

## pcsxrearmed 0.4.0.10

=== Makefile ===
#CROSS_COMPILE=
AS  = $(CROSS_COMPILE)as
GCC = $(CROSS_COMPILE)gcc
CC  = $(CROSS_COMPILE)gcc
LD  = $(CROSS_COMPILE)ld
ifdef CC_OVERRIDE
CC = $(CC_OVERRIDE)
endif

ARM926 ?= 0
ARM_CORTEXA8 ?= 1
PLATFORM ?= pandora
USE_OSS ?= 1
#USE_ALSA = 1
#DRC_DBG = 1
#PCNT = 1
TARGET = pcsx

-include Makefile.maemo

ARCH = $(shell $(GCC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -Wall -ggdb -Ifrontend -ffast-math
LDFLAGS += -lz -lpthread -ldl -lpng
ifndef DEBUG
CFLAGS += -O2 -DNDEBUG
endif
CFLAGS += $(EXTRA_CFLAGS)

ifeq "$(ARCH)" "arm"
ifeq "$(ARM_CORTEXA8)" "1"
GCC_CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
ASFLAGS += -mcpu=cortex-a8 -mfpu=neon
endif
ifeq "$(ARM926)" "1"
GCC_CFLAGS += -mcpu=arm926ej-s -mtune=arm926ej-s
ASFLAGS += -mcpu=arm926ej-s
endif
endif
CFLAGS += $(GCC_CFLAGS)

# detect armv7 and NEON from the specified CPU
HAVE_NEON = $(shell $(GCC) -E -dD $(GCC_CFLAGS) frontend/config.h | grep -q '__ARM_NEON__ 1' && echo 1)
HAVE_ARMV7 = $(shell $(GCC) -E -dD $(GCC_CFLAGS) frontend/config.h | grep -q '__ARM_ARCH_7A__ 1' && echo 1)

all: $(TARGET)

# core
OBJS += libpcsxcore/cdriso.o libpcsxcore/cdrom.o libpcsxcore/cheat.o libpcsxcore/debug.o \
	libpcsxcore/decode_xa.o libpcsxcore/disr3000a.o libpcsxcore/mdec.o \
	libpcsxcore/misc.o libpcsxcore/plugins.o libpcsxcore/ppf.o libpcsxcore/psxbios.o \
	libpcsxcore/psxcommon.o libpcsxcore/psxcounters.o libpcsxcore/psxdma.o libpcsxcore/psxhle.o \
	libpcsxcore/psxhw.o libpcsxcore/psxinterpreter.o libpcsxcore/psxmem.o libpcsxcore/r3000a.o \
	libpcsxcore/sio.o libpcsxcore/socket.o libpcsxcore/spu.o
OBJS += libpcsxcore/gte.o libpcsxcore/gte_nf.o libpcsxcore/gte_divider.o
ifeq "$(ARCH)" "arm"
OBJS += libpcsxcore/gte_arm.o
endif
ifeq "$(HAVE_NEON)" "1"
OBJS += libpcsxcore/gte_neon.o
endif
libpcsxcore/cdrom.o libpcsxcore/misc.o: CFLAGS += -Wno-pointer-sign
libpcsxcore/misc.o libpcsxcore/psxbios.o: CFLAGS += -Wno-nonnull

# dynarec
ifndef NO_NEW_DRC
OBJS += libpcsxcore/new_dynarec/new_dynarec.o libpcsxcore/new_dynarec/linkage_arm.o
OBJS += libpcsxcore/new_dynarec/pcsxmem.o
endif
OBJS += libpcsxcore/new_dynarec/emu_if.o
libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c
libpcsxcore/new_dynarec/new_dynarec.o: CFLAGS += -Wno-all -Wno-pointer-sign
ifdef DRC_DBG
libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -DDRC_DBG
endif

# spu
OBJS += plugins/dfsound/dma.o plugins/dfsound/freeze.o \
	plugins/dfsound/registers.o plugins/dfsound/spu.o
plugins/dfsound/spu.o: plugins/dfsound/adsr.c plugins/dfsound/reverb.c \
	plugins/dfsound/xa.c
ifeq "$(HAVE_NEON)" "1"
OBJS += plugins/dfsound/arm_utils.o
endif
ifeq "$(USE_OSS)" "1"
plugins/dfsound/%.o: CFLAGS += -DUSEOSS
OBJS += plugins/dfsound/oss.o
endif
ifeq "$(USE_ALSA)" "1"
plugins/dfsound/%.o: CFLAGS += -DUSEALSA
OBJS += plugins/dfsound/alsa.o
LDFLAGS += -lasound
endif

# gpu
# note: code is not safe for strict-aliasing? (Castlevania problems)
plugins/dfxvideo/%.o: CFLAGS += -fno-strict-aliasing
OBJS += plugins/dfxvideo/gpu.o
plugins/dfxvideo/gpu.o: plugins/dfxvideo/fps.c plugins/dfxvideo/prim.c \
	plugins/dfxvideo/gpu.c plugins/dfxvideo/soft.c
ifdef X11
LDFLAGS += -lX11 -lXv
OBJS += plugins/dfxvideo/draw.o
else
OBJS += plugins/dfxvideo/draw_fb.o
endif

# cdrcimg
OBJS += plugins/cdrcimg/cdrcimg.o

# dfinput
OBJS += plugins/dfinput/main.o plugins/dfinput/pad.o plugins/dfinput/guncon.o

# gui
OBJS += frontend/main.o frontend/plugin.o
OBJS += frontend/plugin_lib.o frontend/common/readpng.o
OBJS += frontend/common/fonts.o frontend/linux/plat.o
ifeq "$(USE_GTK)" "1"
OBJS += maemo/hildon.o maemo/main.o
maemo/%.o: maemo/%.c
else
OBJS += frontend/menu.o frontend/linux/in_evdev.o
OBJS += frontend/common/input.o frontend/linux/oshide.o

ifeq "$(PLATFORM)" "pandora"
frontend/%.o: CFLAGS += -DVOUT_FBDEV
OBJS += frontend/linux/fbdev.o
OBJS += frontend/plat_omap.o
OBJS += frontend/plat_pandora.o
else
ifeq "$(PLATFORM)" "caanoo"
OBJS += frontend/plat_pollux.o
OBJS += frontend/warm/warm.o
else
OBJS += frontend/plat_dummy.o
endif
endif

endif # !USE_GTK

ifeq "$(HAVE_NEON)" "1"
OBJS += frontend/cspace_neon.o
else
OBJS += frontend/cspace.o
endif
ifdef X11
frontend/%.o: CFLAGS += -DX11
OBJS += frontend/xkb.o
endif
ifdef PCNT
CFLAGS += -DPCNT
endif
ifndef NO_TSLIB
frontend/%.o: CFLAGS += -DHAVE_TSLIB
OBJS += frontend/pl_gun_ts.o
endif
%.o: ASFLAGS += --defsym HAVE_ARMV7=$(HAVE_ARMV7)
frontend/%.o: CFLAGS += -DIN_EVDEV
frontend/menu.o: frontend/revision.h

libpcsxcore/gte_nf.o: libpcsxcore/gte.c
	$(CC) -c -o $@ $^ $(CFLAGS) -DFLAGLESS

frontend/revision.h: FORCE
	@(git describe || echo) | sed -e 's/.*/#define REV "\0"/' > $@_
	@diff -q $@_ $@ > /dev/null 2>&1 || cp $@_ $@
	@rm $@_
.PHONY: FORCE


$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map

PLUGINS ?= plugins/spunull/spunull.so plugins/gpu_unai/gpuPCSX4ALL.so \
	plugins/gpu-gles/gpuGLES.so plugins/gpu_neon/gpu_neon.so

$(PLUGINS):
	make -C $(dir $@)

clean:
	$(RM) $(TARGET) $(OBJS) $(TARGET).map

clean_plugins:
	for dir in $(PLUGINS) ; do \
		$(MAKE) -C $$(dirname $$dir) clean; done

# ----------- release -----------

PND_MAKE ?= $(HOME)/dev/pnd/src/pandora-libraries/testdata/scripts/pnd_make.sh

VER ?= $(shell git describe master)

rel: pcsx $(PLUGINS) \
		frontend/pandora/pcsx.sh frontend/pandora/pcsx.pxml.templ frontend/pandora/pcsx.png \
		frontend/pandora/picorestore frontend/pandora/skin readme.txt COPYING
	rm -rf out
	mkdir -p out/plugins
	cp -r $^ out/
	sed -e 's/%PR%/$(VER)/g' out/pcsx.pxml.templ > out/pcsx.pxml
	rm out/pcsx.pxml.templ
	mv out/*.so out/plugins/
	mv out/plugins/gpu_neon.so out/plugins/gpuPEOPS2.so
	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x out/pcsx.pxml -i frontend/pandora/pcsx.png -c

=== debian/changelog ===
pcsxrearmed (0.4.0.10) unstable; urgency=low

 r10 (2011-10-10)
 + completely rewrote memory handlers
 + added fixed frameskip option
 + added ability to change PSX clock
 + implemented GTE dead flag detection
 * switched to larger timeslices for better performance
 * fixed some cases of flickering
 * fixed several dynarec compatibility related issues (hopefully)
 * fixed multiple SPU regressions from r9 and earlier
 * fixed frame limiter issue that sometimes caused stuttering
 r9 (2011-08-13)
 * fixed various dynarec integration issues that were causing instability
 * merged latest Ari64 dynarec code for some performance improvement
 * changed frameskip handling in builtin and PCSX4ALL plugins,
 *  fixes some cases where it would not work
 + added CDDA handling for eboot format
 * improved CDDA handling for all image formats that support it
 * various compatibility/accuracy improvements
 * optimized PEOPS SPU core
 + added some basic memory card manager, which allows to change or remove cards (remove needed for Tenka)

 -- Bonapart <bonapart@programist.ru>  Sun,  28 Oct 2011 00:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev, libasound2-dev,libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libbz2-dev 
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev,libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libbz2-dev
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) -f Makefile.maemo maemo
+	$(MAKE) maemo
 	touch build-stamp
 
 clean:
@@ -28,7 +28,7 @@
 	dh_testroot
 	rm -f build-stamp
 	dh_clean
-	$(MAKE) -f Makefile.maemo clean
+	$(MAKE) clean
 
 install: build
 	dh_testdir
@@ -46,7 +46,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-	dh_installmenu
+	#dh_installmenu
 	dh_link
 	dh_strip
 	dh_compress

## pcsxrearmed 0.4.0.11

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 #PCNT = 1
 TARGET = pcsx
 
--include Makefile.maemo
+-include Makefile.local
 
 ARCH = $(shell $(GCC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
 CFLAGS += -Wall -ggdb -Ifrontend -ffast-math
-LDFLAGS += -lz -lpthread -ldl -lpng
+LDFLAGS += -lpthread -ldl -lpng -lz -lm
 ifndef DEBUG
 CFLAGS += -O2 -DNDEBUG
 endif
@@ -34,7 +34,7 @@
 endif
 ifeq "$(ARM926)" "1"
 GCC_CFLAGS += -mcpu=arm926ej-s -mtune=arm926ej-s
-ASFLAGS += -mcpu=arm926ej-s
+ASFLAGS += -mcpu=arm926ej-s -mfloat-abi=softfp
 endif
 endif
 CFLAGS += $(GCC_CFLAGS)
@@ -68,7 +68,8 @@
 OBJS += libpcsxcore/new_dynarec/pcsxmem.o
 endif
 OBJS += libpcsxcore/new_dynarec/emu_if.o
-libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c
+libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c \
+	libpcsxcore/new_dynarec/pcsxmem_inline.c
 libpcsxcore/new_dynarec/new_dynarec.o: CFLAGS += -Wno-all -Wno-pointer-sign
 ifdef DRC_DBG
 libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
@@ -80,7 +81,7 @@
 	plugins/dfsound/registers.o plugins/dfsound/spu.o
 plugins/dfsound/spu.o: plugins/dfsound/adsr.c plugins/dfsound/reverb.c \
 	plugins/dfsound/xa.c
-ifeq "$(HAVE_NEON)" "1"
+ifeq "$(ARCH)" "arm"
 OBJS += plugins/dfsound/arm_utils.o
 endif
 ifeq "$(USE_OSS)" "1"
@@ -130,8 +131,8 @@
 OBJS += frontend/plat_pandora.o
 else
 ifeq "$(PLATFORM)" "caanoo"
-OBJS += frontend/plat_pollux.o
-OBJS += frontend/warm/warm.o
+OBJS += frontend/plat_pollux.o frontend/in_tsbutton.o frontend/blit320.o
+OBJS += frontend/gp2x/in_gp2x.o frontend/warm/warm.o
 else
 OBJS += frontend/plat_dummy.o
 endif

=== plugins/gpu_neon/Makefile ===
CC = $(CROSS_COMPILE)gcc

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -ggdb -Wall -fPIC -O2
CFLAGS += -fno-strict-aliasing

LDFLAGS += -shared -Wl,-soname,$(TARGET)
SRC += gpu.c
ifeq "$(ARCH)" "arm"
TARGET = gpu_neon.so
CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
SRC += vout_fb.c ../../frontend/cspace_neon.s
else
TARGET = gpu_neon.so.x86
CFLAGS += `sdl-config --cflags` -m32
LDFLAGS += `sdl-config --libs`
SRC += vout_sdl.c
endif
PEOPS=1
ifndef PEOPS
SRC += psx_gpu_if.c
else
SRC += peops_if.c
endif

all: $(TARGET)

$(TARGET): $(SRC)
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

clean:
	$(RM) $(TARGET)

=== plugins/gpu_unai/Makefile ===
CC = $(CROSS_COMPILE)gcc

CFLAGS += -ggdb -fPIC -Wall -DREARMED
ifndef DEBUG
CFLAGS += -O2 -ffast-math -fomit-frame-pointer
endif
ifdef MAEMO
CFLAGS += -DMAEMO
endif
ARM_CORTEXA8 ?= 1
ifeq "$(ARM_CORTEXA8)" "1"
CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
SRC += ../../frontend/cspace_neon.s
else
CFLAGS += -mcpu=arm926ej-s -mtune=arm926ej-s
SRC += ../../frontend/cspace.c
endif

SRC += gpu.cpp

TARGET = gpuPCSX4ALL.so
LDFLAGS += -shared -Wl,-soname,$(TARGET)

-include Makefile.local

all: $(TARGET)

$(TARGET): $(SRC)
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

# $(TARGET): *.h

clean:
	$(RM) $(TARGET) $(OBJ)

=== debian/changelog ===
pcsxrearmed (0.4.0.11) unstable; urgency=low

 r11 (2011-10-11)
++ added .cbin support
+* some GTE related optimizations
+* various other optimizations
++ added some speed hack options for slower devices
+  (get more speed at stability and correctness loss)
+* fixed several compatibility issues
+* fixed a few crash situations
+* various minor adjustments
+* maemo: merged some code from Bonapart
+* maemo: fixed BIOS issue (hopefully)

 -- Bonapart <bonapart@programist.ru>  Sun,  31 Oct 2011 00:00:27 +0200

## pcsxrearmed 0.4.0.12

=== plugins/gpu-gles/Makefile ===
--- 
+++ 
@@ -8,15 +8,15 @@
 #CC = $(PREFIX)/bin/$(CROSS_COMPILE)gcc
 CC = $(CROSS_COMPILE)gcc
 
-CFLAGS += -fPIC -ggdb # -Wall
+CFLAGS += -fPIC -ggdb -I. # -Wall
 ifndef DEBUG
 CFLAGS += -O3 -ffast-math -fomit-frame-pointer
 endif
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8
 # note: the below causes strange bugs/crashes
 #CFLAGS += -mfloat-abi=softfp
-CFLAGS += -DMAEMO_CHANGES -DUSE_X11
-CFLAGS += -I.
+CFLAGS += -DMAEMO_CHANGES  -DUSE_X11
+CFLAGS += -I$(PREFIX)include
 
 TARGET = gpuGLES.so
 LDFLAGS += -shared -Wl,-soname,$(TARGET) -o $(TARGET)

=== debian/changelog ===
pcsxrearmed (0.4.0.12) unstable; urgency=low

 r12 (2011-12-24)
+ new ARM NEON GPU rasterizer from Exophase( by default)
+ new GPU emulation code
* changed frameskip handling (again..), higher values supported
* fixed several more regressions from earlier versions
* changed cdrom code with hope for better compatibility


 -- Bonapart <bonapart@programist.ru>  Sun,  26 Dec 2011 00:00:27 +0200
 

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev,libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libbz2-dev
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libgles1-sgx-img-dev,opengles-sgx-img-common-dev
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed

## pcsxrearmed 0.4.0.12.1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #PCNT = 1
 TARGET = pcsx
 
--include Makefile.local
+include Makefile.maemo
 
 ARCH = $(shell $(GCC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
@@ -95,16 +95,23 @@
 endif
 
 # gpu
+OBJS += plugins/gpu_neon/gpu.o
+ifeq "$(HAVE_NEON)" "1"
+OBJS += plugins/gpu_neon/psx_gpu_if.o plugins/gpu_neon/psx_gpu/psx_gpu_arm_neon.o
+plugins/gpu_neon/psx_gpu_if.o: CFLAGS += -DNEON_BUILD -DTEXTURE_CACHE_4BPP -DTEXTURE_CACHE_8BPP
+plugins/gpu_neon/psx_gpu_if.o: plugins/gpu_neon/psx_gpu/*.c
+else
 # note: code is not safe for strict-aliasing? (Castlevania problems)
-plugins/dfxvideo/%.o: CFLAGS += -fno-strict-aliasing
-OBJS += plugins/dfxvideo/gpu.o
-plugins/dfxvideo/gpu.o: plugins/dfxvideo/fps.c plugins/dfxvideo/prim.c \
-	plugins/dfxvideo/gpu.c plugins/dfxvideo/soft.c
+plugins/gpu_neon/peops_if.o: CFLAGS += -fno-strict-aliasing
+plugins/gpu_neon/peops_if.o: plugins/dfxvideo/prim.c plugins/dfxvideo/soft.c
+OBJS += plugins/gpu_neon/peops_if.o
+endif
 ifdef X11
-LDFLAGS += -lX11 -lXv
-OBJS += plugins/dfxvideo/draw.o
-else
-OBJS += plugins/dfxvideo/draw_fb.o
+LDFLAGS += -lX11 `sdl-config --libs`
+OBJS += plugins/gpu_neon/vout_sdl.o
+plugins/gpu_neon/vout_sdl.o: CFLAGS += `sdl-config --cflags`
+else
+OBJS += plugins/gpu_neon/vout_fb.o
 endif
 
 # cdrcimg
@@ -118,7 +125,7 @@
 OBJS += frontend/plugin_lib.o frontend/common/readpng.o
 OBJS += frontend/common/fonts.o frontend/linux/plat.o
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o
+OBJS += maemo/hildon.o maemo/main.o maemo/maemo_xkb.o
 maemo/%.o: maemo/%.c
 else
 OBJS += frontend/menu.o frontend/linux/in_evdev.o
@@ -169,17 +176,19 @@
 	@rm $@_
 .PHONY: FORCE
 
+%.o: %.S
+	$(CC) $(CFLAGS) -c $^ -o $@
 
 $(TARGET): $(OBJS)
 	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map
 
-PLUGINS ?= plugins/spunull/spunull.so plugins/gpu_unai/gpuPCSX4ALL.so \
-	plugins/gpu-gles/gpuGLES.so plugins/gpu_neon/gpu_neon.so
+PLUGINS ?= plugins/spunull/spunull.so plugins/gpu-gles/gpuGLES.so \
+	plugins/gpu_neon/gpu_unai.so plugins/gpu_neon/gpu_peops.so
 
 $(PLUGINS):
 	make -C $(dir $@)
 
-clean:
+clean: $(PLAT_CLEAN)
 	$(RM) $(TARGET) $(OBJS) $(TARGET).map
 
 clean_plugins:
@@ -201,5 +210,6 @@
 	sed -e 's/%PR%/$(VER)/g' out/pcsx.pxml.templ > out/pcsx.pxml
 	rm out/pcsx.pxml.templ
 	mv out/*.so out/plugins/
-	mv out/plugins/gpu_neon.so out/plugins/gpuPEOPS2.so
+	mv out/plugins/gpu_unai.so out/plugins/gpuPCSX4ALL.so
+	mv out/plugins/gpu_peops.so out/plugins/gpuPEOPS.so
 	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x out/pcsx.pxml -i frontend/pandora/pcsx.png -c

=== debian/changelog ===
pcsxrearmed (0.4.0.12.1) unstable; urgency=low

  * oldgpu
  * gpu_unai
  * gpu-gles
  * fps counter
  * cpu counter
  * no fl option

 -- Bonapart <bonapart@programist.ru>  Sun,  27 Dec 2011 00:00:27 +0200

## pcsxrearmed 0.4.0.12.2

=== plugins/gpu_neon/Makefile ===
CC = $(CROSS_COMPILE)gcc
CXX = $(CROSS_COMPILE)g++
CC_ = $(CC)

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -ggdb -Wall -fPIC -O2
CFLAGS += -fno-strict-aliasing
ifdef MAEMO
CFLAGS += -DMAEMO
endif

SRC += gpu.c
ifeq "$(ARCH)" "arm"
ARM_CORTEXA8 ?= 1
ifeq "$(ARM_CORTEXA8)" "1"
CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
SRC += ../../frontend/cspace_neon.s
else
CFLAGS += -mcpu=arm926ej-s -mtune=arm926ej-s
SRC += ../../frontend/cspace.c
endif
SRC += vout_fb.c
EXT = so
endif
ifeq "$(ARCH)" "x86_64"
CFLAGS += `sdl-config --cflags` -m32
LDFLAGS += `sdl-config --libs`
SRC += vout_sdl.c
EXT = so.x86
endif

HAVE_NEON = $(shell $(CC_) -E -dD $(CFLAGS) gpu.h | grep -q '__ARM_NEON__ 1' && echo 1)

TARGETS = gpu_peops.$(EXT) gpu_unai.$(EXT)
ifeq "$(HAVE_NEON)" "1"
TARGETS += gpu_neon.$(EXT)
endif

gpu_neon.$(EXT): SRC += psx_gpu_if.c psx_gpu/psx_gpu_arm_neon.S
gpu_neon.$(EXT): CFLAGS += -DNEON_BUILD -DTEXTURE_CACHE_4BPP -DTEXTURE_CACHE_8BPP
gpu_peops.$(EXT): SRC += peops_if.c
gpu_peops.$(EXT): CFLAGS += -fno-strict-aliasing
gpu_unai.$(EXT): SRC += unai_if.cpp ../gpu_unai/gpu_arm.s
gpu_unai.$(EXT): CC_ = $(CXX)

all: $(TARGETS)

$(TARGETS): $(SRC)
	$(CC_) -o $@ $(SRC) $(CFLAGS) $(LDFLAGS) -shared -Wl,-soname,$@

clean:
	$(RM) $(TARGETS)

=== plugins/gpu_unai/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 SRC += ../../frontend/cspace.c
 endif
 
-SRC += gpu.cpp
+SRC += gpu.cpp gpu_arm.s
 
 TARGET = gpuPCSX4ALL.so
 LDFLAGS += -shared -Wl,-soname,$(TARGET)

=== debian/changelog ===
pcsxrearmed (0.4.0.12.2) unstable; urgency=low

  * gpu-gles


 -- Bonapart <bonapart@programist.ru>  Sun,  27 Dec 2011 00:02:27 +0200
